<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Candidate_Contoller_Admin extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function VotingCandidatesDataAdmin($electoral_name)
	{
		$this->load->model('Fetch_Candidates_Model');
        
        $electoral_name=urldecode($electoral_name);
        $electoral_name=trim($electoral_name);

        if($this->Fetch_Candidates_Model->Candidate_Data($electoral_name))
            {   
                $all_data['data']=$this->Fetch_Candidates_Model->Candidate_Data($electoral_name);
                        /*echo " "."admin ".$data[0]->name." ".$data[0]->email." ".$data[0]->type;
                        echo " "."admin ".$data[1]->name." ".$data[1]->email." ".$data[1]->type;*/

                $this->load->view('Voting_System_View_Admin',$all_data);
                        //echo " ".$all_data[0]->id;
            }
        
        else
        {
            $all_data['data']=null;
            $this->session->set_flashdata('error'.'No Candidates found');
            $this->load->view('Voting_System_View_Admin',$all_data);

        }
    }
    
    
    
}


